Name: fam
Version: 2.6.9
Release: alt1

Summary: The File Alteration Monitor
License: GPL
Group: System/Servers
Url: http://oss.sgi.com/projects/%name/

Source: ftp://oss.sgi.com/projects/fam/download/%name-%version.tar.bz2
Source1: fam.xinetd

Patch1: %name-oss-2.6.4-glibc222.patch
Patch2: %name-oss-2.6.4-tmpfile.patch
Patch3: %name-oss-2.6.9-tmpfile.patch
Patch4: fam-2.6.8-dnotify.patch
Patch5: fam_build.patch
Patch6: fam-oss-2.6.4-changed_race.patch
Patch7: fam-2.6.7-cleanup.patch
Patch8: fam-2.6.7-gcc31.patch

Requires: lib%name = %version-%release, xinetd >= 2.3.3

%package -n lib%name
Summary: The File Alteration Monitor shared library
License: LGPL
Group: System/Libraries

%package -n lib%name-devel
Summary: The File Alteration Monitor include files
License: LGPL
Group: Development/C
Requires: lib%name = %version-%release

%package -n lib%name-devel-static
Summary: The File Alteration Monitor static library
License: LGPL
Group: Development/C
Requires: lib%name-devel = %version-%release

%description
fam, the File Alteration Monitor, provides a daemon and an API which
applications can use to be notified when specific files or directories
are changed.

fam works best if your kernel has imon.  (Otherwise, it has to poll the
filesystem instead of being notified as operations are performed on the
files it's monitoring.)  See %url for more
information on fam and imon.

%description -n lib%name
fam, the File Alteration Monitor, provides a daemon and an API which
applications can use to be notified when specific files or directories
are changed.

This package contains lib%name, the File Alteration Monitor shared library,
required for %name-based software.

%description -n lib%name-devel
fam, the File Alteration Monitor, provides a daemon and an API which
applications can use to be notified when specific files or directories
are changed.

This package contains include files required for development %name-based software.

%description -n lib%name-devel-static
fam, the File Alteration Monitor, provides a daemon and an API which
applications can use to be notified when specific files or directories
are changed.

This package contains static library required for development statically linked
%name-based software.

%prep
%setup -q -n %name-%version
#%patch1 -p1
#%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
#%patch6 -p1
%patch7 -p1
%patch8 -p1

%build
%define _bindir %_sbindir
libtoolize --force
aclocal
autoconf
autoheader
automake --add-missing
%configure
%make_build

%install
%make_install install DESTDIR="$RPM_BUILD_ROOT"
install -p -m640 -D %SOURCE1 $RPM_BUILD_ROOT%_sysconfdir/xinetd.d/sgi_%name
chmod a+x $RPM_BUILD_ROOT%_libdir/%name/*

%post -n lib%name -p /sbin/ldconfig
%postun -n lib%name -p /sbin/ldconfig

%files
%_bindir/*
%_libdir/%name
%_mandir/man1/*
%config(noreplace) %_sysconfdir/*.conf
%config(noreplace) %_sysconfdir/xinetd.d/*
%doc ChangeLog COPYING INSTALL INSTALL.rpm README TODO

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_libdir/*.so
%_includedir/*
%_mandir/man3/*

%files -n lib%name-devel-static
%_libdir/*.a

%changelog
* Thu Sep 05 2002 Sergey V Turchin <zerg@altlinux.ru> 2.6.9-alt1
- new version
- add RH patches

* Mon Oct 08 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.6.4-alt3
- Added changed in same second racecondition half-fix (rh).

* Thu Aug 09 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.6.4-alt2
- Merged RH changes (by Alexander Larsson <alexl@redhat.com>):
  + Bind the server to 127.0.0.1 to avoid external connections.
  + New dnotify patch that handles queue overruns.

* Thu Apr 12 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.6.4-alt1
- Initial revision.
